
#####################################################
# function doSampling_summary for authomatic summary
#####################################################

library(Hmisc)
library(descr)
doSampling_summary <-function(dat){
  for (i in 1:length(dat)) {
    if (is.numeric(dat[, i])) {
      cat("\n", label(dat[,i]), fill = T) #ETIQUETA
      print(summary(as.numeric(dat[, i])))
      hist(dat[, i],col="green")
    } else{
      cat("\n") # Returns an empty line
      print(freq(dat[, i], plot = T))
    }
  }
}

#see dataframe iris
#doSampling_summary(iris)
#doSampling_summary(dat=iris)
